Package tigase.monitor.tasks

# Class SampleTask

java.lang.Object
tigase.monitor.tasks.AbstractConfigurableTask
tigase.monitor.tasks.AbstractConfigurableTimerTask
tigase.monitor.tasks.SampleTask

All Implemented Interfaces:
  `Initializable`, `UnregisterAware`, `ConfigurableTask`, `MonitorTask`

@Bean(name="sample-task", parent=MonitorComponent.class, active=true) public class SampleTask extends AbstractConfigurableTimerTask implements Initializable

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SampleTask.SampleTaskEvent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SampleTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `enable()`
  `Form`
  `getCurrentConfiguration()`
  `void`
  `initialize()`
  Method will be called, when bean will be created, configured and ready to use.
  `protected void`
  `run()`
  `void`
  `setNewConfiguration(Form form)`

  ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTimerTask

  `beforeUnregister, disable, getPeriod, getTimerTaskService, setPeriod, setTimerTaskService`

  ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTask

  `isEnabled, setEnabled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SampleTask

    public SampleTask()

- ## Method Details

  - ### getCurrentConfiguration

    public Form getCurrentConfiguration()
    Specified by:
      `getCurrentConfiguration` in interface `ConfigurableTask`
    Overrides:
      `getCurrentConfiguration` in class `AbstractConfigurableTimerTask`

  - ### initialize

    public void initialize()
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`
    Overrides:
      `initialize` in class `AbstractConfigurableTask`

  - ### setNewConfiguration

    public void setNewConfiguration(Form form)
    Specified by:
      `setNewConfiguration` in interface `ConfigurableTask`
    Overrides:
      `setNewConfiguration` in class `AbstractConfigurableTimerTask`

  - ### enable

    protected void enable()
    Overrides:
      `enable` in class `AbstractConfigurableTimerTask`

  - ### run

    protected void run()
    Specified by:
      `run` in class `AbstractConfigurableTimerTask`